BaseScalaCompileOptions (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.language.scala.tasks

## [Java] Class BaseScalaCompileOptions

- org.gradle.language.scala.tasks.BaseScalaCompileOptions

- Options for Scala platform compilation, excluding any options for compilation with Ant.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List<String>` | `getAdditionalParameters()` Additional parameters passed to the compiler.
    `String` | `getDebugLevel()` Generate debugging information.
    `String` | `getEncoding()` Encoding of source files.
    `ScalaForkOptions` | `getForkOptions()` Options for running the Scala compiler in a separate process.
    `IncrementalCompileOptions` | `getIncrementalOptions()`
    `String` | `getLoggingLevel()` Specifies the amount of logging.
    `List<String>` | `getLoggingPhases()` Phases of the compiler to log.
    `boolean` | `isDeprecation()` Generate deprecation information.
    `boolean` | `isFailOnError()` Fail the build on compilation errors.
    `boolean` | `isForce()` Whether to force the compilation of all files.
    `boolean` | `isListFiles()` List files to be compiled.
    `boolean` | `isOptimize()` Run optimizations.
    `boolean` | `isUnchecked()` Generate unchecked information.
    `void` | `setAdditionalParameters(List<String> additionalParameters)`
    `void` | `setDebugLevel(String debugLevel)`
    `void` | `setDeprecation(boolean deprecation)`
    `void` | `setEncoding(String encoding)`
    `void` | `setFailOnError(boolean failOnError)`
    `void` | `setForce(boolean force)`
    `void` | `setForkOptions(ScalaForkOptions forkOptions)`
    `void` | `setIncrementalOptions(IncrementalCompileOptions incrementalOptions)`
    `void` | `setListFiles(boolean listFiles)`
    `void` | `setLoggingLevel(String loggingLevel)`
    `void` | `setLoggingPhases(List<String> loggingPhases)`
    `void` | `setOptimize(boolean optimize)`
    `void` | `setUnchecked(boolean unchecked)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractOptions` | `define, excludeFromAntProperties, getAntPropertyName, getAntPropertyValue, optionMap`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public List<String> getAdditionalParameters()

      Additional parameters passed to the compiler. Each parameter must start with '-'.

    - #### @Input @Optional public String getDebugLevel()

      Generate debugging information. Legal values: none, source, line, vars, notailcalls

    - #### @Input @Optional public String getEncoding()

      Encoding of source files.

    - #### public ScalaForkOptions getForkOptions()

      Options for running the Scala compiler in a separate process. These options only take effect if `fork` is set to `true`.

    - #### @Nested public IncrementalCompileOptions getIncrementalOptions()

    - #### public String getLoggingLevel()

      Specifies the amount of logging. Legal values: none, verbose, debug

    - #### public List<String> getLoggingPhases()

      Phases of the compiler to log. Legal values: namer, typer, pickler, uncurry, tailcalls, transmatch, explicitouter, erasure, lambdalift, flatten, constructors, mixin, icode, jvm, terminal.

    - #### public boolean isDeprecation()

      Generate deprecation information.

    - #### public boolean isFailOnError()

      Fail the build on compilation errors.

    - #### public boolean isForce()

      Whether to force the compilation of all files. Legal values: - false (only compile modified files) - true (always recompile all files)

    - #### public boolean isListFiles()

      List files to be compiled.

    - #### @Input public boolean isOptimize()

      Run optimizations.

    - #### public boolean isUnchecked()

      Generate unchecked information.

    - #### public void setAdditionalParameters(List<String> additionalParameters)

    - #### public void setDebugLevel(String debugLevel)

    - #### public void setDeprecation(boolean deprecation)

    - #### public void setEncoding(String encoding)

    - #### public void setFailOnError(boolean failOnError)

    - #### public void setForce(boolean force)

    - #### public void setForkOptions(ScalaForkOptions forkOptions)

    - #### public void setIncrementalOptions(IncrementalCompileOptions incrementalOptions)

    - #### public void setListFiles(boolean listFiles)

    - #### public void setLoggingLevel(String loggingLevel)

    - #### public void setLoggingPhases(List<String> loggingPhases)

    - #### public void setOptimize(boolean optimize)

    - #### public void setUnchecked(boolean unchecked)